<?php
/*---------------------------------+
| CemikPIL kodowanie & skrypty     |
+----------------------------------+
| nazwa:  Last & Next Match        |
| autor:  ChemikPIL                |
| e-mail: chemikpil@gmail.com      |
+---------------------------------*/

require_once('adminConfig.php');
require_once('../class/class.lastMatch.php');
require_once('../class/class.nextMatch.php');

$last = new lastMatch();
$result = false;
//Dodanie meczu do bazy
if(isset($_POST['ok'])){
	$mecz  = Array('home' => '', 'away' => '', 'score' => '', 'half_score' => '', 'date' => '', 'time' => '', 'type' => '', 'goalscorers' => '', 'end' => 'no');
	
	(isset($_POST['home']) && $_POST['home'] != "") ? $mecz['home'] = $last->validMatch($_POST['home']) : $errors[] = $locale['LN216'];
	(isset($_POST['away']) && $_POST['away'] != "") ? $mecz['away'] = $last->validMatch($_POST['away']) : $errors[] = $locale['LN217'];
	(isset($_POST['score']) && $_POST['score'] != "") ? $mecz['score'] = $last->validMatch($_POST['score']) : $errors[] = $locale['LN218'];
	(isset($_POST['half-score']) && $_POST['half-score'] != "") ? $mecz['half_score'] = $last->validMatch($_POST['half-score']) : $mecz['half_score'] = '-';
	(isset($_POST['date']) && $_POST['date'] != "") ? $mecz['date'] = $last->validMatch($_POST['date']) : $errors[] = $locale['LN219'];
	(isset($_POST['time']) && $_POST['time'] != "") ? $mecz['time'] = $last->validMatch($_POST['time']) : $mecz['time'] = '-';
	(isset($_POST['type']) && $_POST['type'] != "") ? $mecz['type'] = $last->validMatch($_POST['type']) : $mecz['type'] = '-';
	(isset($_POST['scores']) && $_POST['scores'] != "") ? $mecz['goalscorers'] = $last->validMatch($_POST['scores']) : $mecz['goalscorers'] = '-';  
	(isset($_POST['relation']) && $_POST['relation'] != "") ? $mecz['relation'] = $last->validMatch($_POST['relation'], "path") : $mecz['relation'] = '-';  
	(isset($_POST['end']) && $_POST['end'] == "ok") ? $endMatch = true: $endMatch = false;
	
	if(!isset($errors))
		$result = $last->setLastMatch($mecz, $endMatch);
}

if(isset($errors) && !empty($errors)){
	$lastMatch = $mecz;
}elseif(isset($_POST['end']) && $_POST['end'] == 'ok'){
	$last = new nextMatch();
	$lastMatch = $last->getNextMatch();
	$lastMatch['score'] = '';
	$lastMatch['half_score'] = '';
	$lastMatch['relation'] = '';
	$lastMatch['goalscorers'] = '';
	$lastMatch['end'] = 'ok';
}else{
	$lastMatch = $last->getLastMatch();
}

$imgFolder = "../images/logos/";
	
opentable($locale['LN202']." - ".$locale['LN102']);
	require '../templates/adminLast.phtml';
closetable();

require_once BASEDIR."footer.php";
?>