<?php
/*---------------------------------+
| CemikPIL kodowanie & skrypty     |
+----------------------------------+
| nazwa:  Last & Next Match        |
| autor:  ChemikPIL                |
| e-mail: chemikpil@gmail.com      |
+---------------------------------*/

require_once('adminConfig.php');
require_once('../class/class.nextMatch.php');

$last = new nextMatch();
$result = false;
$mecz  = Array('home' => '', 'away' => '', 'date' => '', 'time' => '', 'type' => '');
//Dodanie meczu do bazy
if(isset($_POST['ok'])){
	(isset($_POST['home']) && $_POST['home'] != "") ? $mecz['home'] = $last->validMatch($_POST['home']) : $errors[] = $locale['LN216'];
	(isset($_POST['away']) && $_POST['away'] != "") ? $mecz['away'] = $last->validMatch($_POST['away']) : $errors[] = $locale['LN217'];
	(isset($_POST['date']) && $_POST['date'] != "") ? $mecz['date'] = $last->validMatch($_POST['date']) : $errors[] = $locale['LN219'];
	(isset($_POST['time']) && $_POST['time'] != "") ? $mecz['time'] = $last->validMatch($_POST['time']) : $mecz['time'] = '-';
	(isset($_POST['type']) && $_POST['type'] != "") ? $mecz['type'] = $last->validMatch($_POST['type']) : $mecz['type'] = '-';
	(isset($_POST['preview']) && $_POST['preview'] != "") ? $mecz['preview'] = $last->validMatch($_POST['preview'], "path") : $mecz['preview'] = '-';
	
	if(!isset($errors))
		$result = $last->setNextMatch($mecz);
		$message = $locale['LN214'];
}elseif(isset($_POST['delete'])){
	$result = $last->deleteNextMatch();
	if($result){
		$message = $locale['LN223'];
	}else{
		$errors[] = $locale['LN224'];
	}
}

if(isset($errors) && !empty($errors)){
	$lastMatch = $mecz;
}else{
	$lastMatch = $last->getNextMatch();
}

$imgFolder = "../images/logos/";
	
opentable($locale['LN202']." - ".$locale['LN103']);
	require '../templates/adminNext.phtml';
closetable();

require_once BASEDIR."footer.php";
?>