<?php
/*---------------------------------+
| CemikPIL kodowanie & skrypty     |
+----------------------------------+
| nazwa:  Last & Next Match        |
| autor:  ChemikPIL                |
| e-mail: chemikpil@gmail.com      |
+---------------------------------*/

require_once("class.lastAndNextMatch.php");
require_once("class.nextMatch.php");

/**
* Klasa zwraca, lub dodaje dane dotyczce ostatniego meczu.
*
* @author ChemikPIL <chemikpil@gmail.com>
* @version 1.0
* @copyright Micha Makowiak 2010
*/
class lastMatch extends lastAndNextMatch{
	/**
	* Funkcja pobiera ostatni mecz z bazy
	*/
	function getLastMatch(){
		$result = dbquery("SELECT * FROM ".DB_PREFIX."lastmacht ");
		if($result) return dbarray($result);
		return false;
	}
	
	/**
	* Funkcja dodaje mecz do bazy. Jako parametr przyjmuje tablic
	* z danymi ostatniego meczu.
	*/
	function setLastMatch($lastMatch, $end){
		dbquery("TRUNCATE ".DB_PREFIX."lastmacht");
		$result = dbquery("INSERT INTO ".DB_PREFIX."lastmacht VALUES(
			'', 
			'".$lastMatch['date']."',
			'".$lastMatch['time']."',
			'".$lastMatch['type']."', 
			'".$lastMatch['home']."', 
			'".$lastMatch['away']."', 
			'".$lastMatch['score']."', 
			'".$lastMatch['goalscorers']."',
			'".$lastMatch['relation']."',
			'".$lastMatch['half_score']."'
		) ");
		if($result){
			if($end)
				nextMatch::deleteNextMatch();
			return true;
		}
		return false;
	}
	
	function getSets($sets){
		$sets = str_replace(',', '<br>', $sets);
		
		return $sets;
	}
}