<?php
/*---------------------------------+
| CemikPIL kodowanie & skrypty     |
+----------------------------------+
| nazwa:  Last & Next Match        |
| autor:  ChemikPIL                |
| e-mail: chemikpil@gmail.com      |
+---------------------------------*/

/**
* Klasa zwraca, lub dodaje dane dotyczce ostatniego lub nastpnego meczu.
*
* @author ChemikPIL <chemikpil@gmail.com>
* @version 1.0
* @copyright Micha Makowiak 2010
*/
class lastAndNextMatch{
	/**
	* Funkcja pobiera mecz z bazy
	*/
	function getMatch(){}
	
	/**
	* Funkcja dodaje mecz do bazy. Jako parametr przyjmuje tablic
	* z danymi ostatniego meczu.
	*/
	function setMatch(){}
	
	/**
	* Funkcja zwraca nazw pliku obrazka.
	* 
	* @team - nazwa druyny
	* @patch - cieka do obrazkw.
	*/
	function getTeamLogo($team, $patch, $add = false){
		$pattFrom = array('','','','','','','','','','','','','','','','','','',' ');
		$pattTo = array('a','c','e','l','o','n','s','z','z','A','C','E','L','O','N','S','Z','Z','_');
		$team = str_replace($pattFrom, $pattTo, $team);
		
		$team = $patch.$team.".png";
		$team = strtolower($team);
		if(file_exists($team) || $add == true){
			return $team;
		}else{
			return $patch."no-logo.png";
		}
	}
	
	/**
	* Metoda sprawdza poprawno danych, szukajc
	* wystpie kodu HTML, PHP oraz zapyta MySQL
	* 
	* @data - przeszukiwana zmienna
	*/
	function validMatch($data, $type = 'none'){
		$data = mysql_real_escape_string($data);
		$data = strip_tags($data);
		if($type == "path")
			realpath($data);
		
		return $data;
	}
	
	/**
	* Metoda dodaje logo do folderu
	* 
	* @data - przeszukiwana zmienna
	*/
	function addLogo($tmp, $path, $new_name){
		$file = $this->getTeamLogo($new_name, $path, true);
		$result = move_uploaded_file($tmp, $file);	
		chmod($file, 0644);
		return $result;
	}
}