<?php
/*---------------------------------+
| CemikPIL kodowanie & skrypty     |
+----------------------------------+
| nazwa:  Last & Next Match        |
| autor:  ChemikPIL                |
| e-mail: chemikpil@gmail.com      |
+---------------------------------*/

require_once("class.lastAndNextMatch.php");

/**
* Klasa zwraca, lub dodaje dane dotyczce nastpnego meczu.
*
* @author ChemikPIL <chemikpil@gmail.com>
* @version 1.0
* @copyright Micha Makowiak 2010
*/
class nextMatch extends lastAndNextMatch{
	/**
	* Funkcja pobiera ostatni mecz z bazy
	*/
	function getNextMatch(){
		$result = dbquery("SELECT * FROM ".DB_PREFIX."nextmacht ");
		if($result)	return dbarray($result);
		else return false;
	}
	
	/**
	* Funkcja dodaje mecz do bazy. Jako parametr przyjmuje tablic
	* z danymi ostatniego meczu.
	*/
	function setNextMatch($nextMatch){
		$this->deleteNextMatch();
		$result = dbquery("INSERT INTO ".DB_PREFIX."nextmacht VALUES(
			'', 
			'".$nextMatch['date']."', 
			'".$nextMatch['time']."', 
			'".$nextMatch['type']."', 
			'".$nextMatch['home']."', 
			'".$nextMatch['away']."',
			'".$nextMatch['preview']."'
		) ");
		if($result) return true;
		else return false;
	}
	
	/**
	* Funkcja usuwa ostatni mecz z tablicy
	*/
	function deleteNextMatch(){
		$result = dbquery("TRUNCATE ".DB_PREFIX."nextmacht");
		if($result) return true;
		else return false;
	}
}